SUPPORTS_CXX := FALSE
ifeq ($(COMPILER),intel)
  FFLAGS_NOOPT :=  -O0 
  PIO_FILESYSTEM_HINTS := lustre
  MPICC :=  mpicc 
  PNETCDF_PATH := $(EBROOTPNETCDF)
  SCC :=  icc 
  MPICXX :=  mpicpc 
  NETCDF_PATH := $(EBROOTNETCDFMINFORTRAN)
  MPIFC :=  mpifort 
  CXX_LDFLAGS :=  -cxxlib 
  CFLAGS :=   -qno-opt-dynamic-align -fp-model precise -std=gnu99 
  SUPPORTS_CXX := TRUE
  FFLAGS :=  -qno-opt-dynamic-align  -convert big_endian -assume byterecl -ftz -traceback -assume realloc_lhs -fp-model source  
  FIXEDFLAGS :=  -fixed -132 
  MPI_LIB_NAME := mpi
  CXX_LINKER := FORTRAN
  FC_AUTO_R8 :=  -r8 
  MPI_PATH := $(MPI_ROOT)
  FREEFLAGS :=  -free 
  SFC :=  ifort 
  SCXX :=  icpc 
endif
ifeq ($(MODEL),pop)
  CPPDEFS := $(CPPDEFS)  -D_USE_FLOW_CONTROL 
endif
ifeq ($(COMPILER),intel)
  FFLAGS := $(FFLAGS)  -xavx2 -no-fma 
  SLIBS := $(SLIBS) -mkl=sequential -lnetcdff -lnetcdf
  CPPDEFS := $(CPPDEFS)  -DFORTRANUNDERSCORE -DCPRINTEL
  CPPDEFS := $(CPPDEFS)  -D$(OS) 
  ifeq ($(compile_threaded),true)
    FFLAGS := $(FFLAGS)  -qopenmp 
  endif
  ifeq ($(MODEL),cice)
    FFLAGS := $(FFLAGS)  -init=zero,arrays 
    FFLAGS := $(FFLAGS)  -init=zero,arrays 
  endif
  ifeq ($(MODEL),blom)
    FFLAGS := $(FFLAGS)  -r8 
  endif
  ifeq ($(compile_threaded),true)
    CFLAGS := $(CFLAGS)  -qopenmp 
  endif
  ifeq ($(DEBUG),FALSE)
    CFLAGS := $(CFLAGS)  -O2 -debug minimal 
    FFLAGS := $(FFLAGS)  -O2 -debug minimal 
    FFLAGS := $(FFLAGS)  -O2 
  endif
  ifeq ($(DEBUG),TRUE)
    CFLAGS := $(CFLAGS)  -O0 -g 
    FFLAGS := $(FFLAGS)  -O0 -g -check uninit -check bounds -check pointers -fpe0 -check noarg_temp_created 
  endif
  ifeq ($(MPILIB),mvapich2)
    SLIBS := $(SLIBS)  -mkl=cluster 
  endif
  ifeq ($(MPILIB),mpich2)
    SLIBS := $(SLIBS)  -mkl=cluster 
  endif
  ifeq ($(MPILIB),mpt)
    SLIBS := $(SLIBS)  -mkl=cluster 
  endif
  ifeq ($(MPILIB),openmpi)
    SLIBS := $(SLIBS)  -mkl=cluster 
  endif
  ifeq ($(MPILIB),mpich)
    SLIBS := $(SLIBS)  -mkl=cluster 
  endif
  ifeq ($(MPILIB),mvapich)
    SLIBS := $(SLIBS)  -mkl=cluster 
  endif
  ifeq ($(MPILIB),impi)
    SLIBS := $(SLIBS)  -mkl=cluster 
  endif
  ifeq ($(MPILIB),mpi-serial)
    SLIBS := $(SLIBS)  -mkl 
  endif
  ifeq ($(compile_threaded),true)
    FFLAGS_NOOPT := $(FFLAGS_NOOPT)  -qopenmp 
    LDFLAGS := $(LDFLAGS)  -qopenmp 
  endif
endif
